"use strict";

/**
  * DB Utility methods for mongoose schemas.
  *
  */
module.exports = exports = function exports(schema, options) {
  schema.methods.addOwner = function (userModel) {
    this._owners.push(userModel._id);
    return this;
  };
  schema.methods.addOrganization = function (orgModel) {
    this._organizations.push(orgModel._id);
    return this;
  };
};